package com.propertyManagement.business.service;

import com.propertyManagement.business.domain.bo.WxCommonPhoneBo;
import com.propertyManagement.business.domain.vo.WxCommonPhoneVo;
import com.propertyManagement.common.core.domain.PageQuery;
import com.propertyManagement.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 常用电话Service接口
 *
 * @author liushuai
 * @date 2025-05-14
 */
public interface IWxCommonPhoneService {

    /**
     * 查询常用电话
     */
    WxCommonPhoneVo queryById(Long id);

    /**
     * 查询常用电话列表
     */
    TableDataInfo<WxCommonPhoneVo> queryPageList(WxCommonPhoneBo bo, PageQuery pageQuery);

    /**
     * 查询常用电话列表
     */
    List<WxCommonPhoneVo> queryList(WxCommonPhoneBo bo);

    /**
     * 新增常用电话
     */
    Boolean insertByBo(WxCommonPhoneBo bo);

    /**
     * 修改常用电话
     */
    Boolean updateByBo(WxCommonPhoneBo bo);

    /**
     * 校验并批量删除常用电话信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
